Summary:	A Free Video Player
Name:		xine-ui
Version:	0.99.8
Release:	1
License:	GPLv2+
Group:		Video
Url:		http://xine.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/xine/xine-lib/%{version}/%{name}-%{version}.tar.xz
Source1:	xine-opendvd.desktop
Patch0:		xine-ui-0.99.7-locale.patch
Patch1:		xine-ui-0.99.7-readline63.patch
Patch2:		xine-ui-0.99.8-fix_crash_on_exit.patch
BuildRequires:	aalib-devel
BuildRequires:	jpeg-devel
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(caca)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpng)
Buildrequires:	pkgconfig(libxine)
BuildRequires:	pkgconfig(liblircclient0)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(nvtvsimple)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xtst)
Requires:	curl
Requires:	xine-plugins

%description
xine is a free GPL-licensed video player for UNIX-like systems.

User interface for the X Window system.

%files -f xine-ui.lang
%doc AUTHORS ChangeLog README
%doc doc/README*
%{_bindir}/xine*
%{_datadir}/xine
%{_datadir}/pixmaps/*
%{_datadir}/applications/xine.desktop
%{_datadir}/applications/xine-ui.desktop
%{_datadir}/apps/solid/actions/xine-opendvd.desktop
%{_datadir}/icons/hicolor/*/apps/xine*
%{_datadir}/mime/packages/xine-ui.xml
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(pl) %{_mandir}/pl/man1/*

#----------------------------------------------------------------------------

%package	aa
Summary:	XINE - Ascii Art player
Requires:	xine-plugins
Requires:	xine-aa

%description	aa
xine is a free GPL-licensed video player for UNIX-like systems.

User interface with ascii art (text mode) output.

%files aa
%doc README
%{_bindir}/aaxine
%{_bindir}/cacaxine

#----------------------------------------------------------------------------

%package	fb
Summary:	XINE - framebuffer video player
Requires:	xine-plugins

%description	fb
xine is a free GPL-licensed video player for UNIX-like systems.

User interface with support for linux framebuffer output.

%files fb
%doc README
%{_bindir}/fbxine

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
export XINE_DOCPATH="%{_datadir}/doc/xine-ui"
%configure2_5x \
	--enable-vdr-keys \
	--with-caca \
	--with-aalib
%make

%install
%makeinstall_std transform=""
install -m644 misc/desktops/xine.desktop -D %{buildroot}%{_datadir}/applications/%{name}.desktop

install -m644 %{SOURCE1} -D %{buildroot}%{_datadir}/apps/solid/actions/xine-opendvd.desktop

%find_lang xine-ui --all-name

rm -rf %{buildroot}%{_datadir}/doc
rm -rf %{buildroot}%{_datadir}/xine/desktop


%changelog
* Mon Jul 21 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.99.8-1
+ Revision: 3e0ff7c
- New version 0.99.8, add patches to fix crash and to fix build with readline 6.3


